	comment "subroutine prologue"
	.macro gdbasm_enter
	.endm

	comment "subroutine epilogue"
	.macro gdbasm_leave
	rts
	.endm

	.macro gdbasm_call subr
	jsr	\subr
	.endm

	.macro gdbasm_several_nops
	nop
	nop
	nop
	nop
	.endm

	comment "exit (0)"
	.macro gdbasm_exit0
        clra
        sta RegC
        clra
        sta RegB
        jsr exit
	.endm

	comment "crt0 startup"
	.macro gdbasm_startup
	.endm

	comment "Declare a data variable"
	.purgem gdbasm_datavar
	.macro gdbasm_datavar name value
	.data
\name:
	.word	\value
	.endm
